GET
List unspent reservation
Query reserved unspents in the wallet.
Path Params
-
walletIdstring requiredThe wallet ID.
Query Params
-
prevIdstringReturn the next batch of results, based on the "nextBatchPrevId" value from the previous batch. -
limitintegerMaximum number of results to return. If the result set is truncated, use thenextBatchPrevIdvalue to get the next batch. -
expireTimeGtstring date-timeReturns reserved unspents with anexpireTimegreater than this value. -
expireTimeLtestring date-timeReturns reserved unspents with anexpireTimeless than or equal to this value. -
expireTimestringReturns reserved unspents with anexpireTimeequal to this value. Ifnever, returns unspents without expiration dates.
Responses
200
OK
Response Body
object
-
unspentsarray of objectsunspents object
-
idstring requiredThe id of the unspent in the form:<tx_index> -
walletIdstring required -
expireTimestring date-time required -
userIdstring required
-
-
nextBatchPrevIdstring
400
Bad Request
Response Body
object
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id -
contextobjectProperties that apply to a specific error name -
namestring requiredError code